## org.firebirdsql.jdbc.field
Class FBCachedLongVarCharField

    java.lang.Object
      org.firebirdsql.jdbc.field.FBField
          org.firebirdsql.jdbc.field.FBStringField
              org.firebirdsql.jdbc.field.FBLongVarCharField
                  org.firebirdsql.jdbc.field.FBCachedLongVarCharField

All Implemented Interfaces:
  FBFlushableField

    public class FBCachedLongVarCharField

extends FBLongVarCharField

This is Blob-based implementation of `FBStringField` for auto-commit case. It should be used for fields declared in database as `BLOB SUB_TYPE 1`. This implementation provides all conversion routines `FBStringField` has.

Version:
  1.0
Author:
  Roman Rokytskyy

Field Summary

Fields inherited from class org.firebirdsql.jdbc.field.FBField
`field, gdsHelper, iscEncoding, javaEncoding, mappingPath, numCol, requiredType, scale`

Method Summary
`Blob` `getBlob()`

Methods inherited from class org.firebirdsql.jdbc.field.FBLongVarCharField
`close, flushCachedData, getBinaryStream, getBytes, getCachedObject, getString, setBinaryStream, setBlob, setBytes, setCharacterStream, setString`

Methods inherited from class org.firebirdsql.jdbc.field.FBStringField
`getAsciiStream, getBigDecimal, getBoolean, getByte, getDate, getDate, getDouble, getFloat, getInt, getLong, getShort, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, setAsciiStream, setBigDecimal, setBoolean, setByte, setDate, setDate, setDouble, setFloat, setInteger, setLong, setShort, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream`

Methods inherited from class org.firebirdsql.jdbc.field.FBField
`createField, getAlias, getArray, getBigDecimal, getCharacterStream, getClob, getFieldData, getName, getObject, getObject, getRef, getRelationName, isCompatible, isInvertTimeZone, isNull, isType, setConnection, setFieldData, setNull, setObject, setRequiredType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBlob

    public Blob getBlob()
                 throws SQLException

  Overrides:
    `getBlob` in class `FBLongVarCharField`
  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.